summaryrefslogtreecommitdiffstats
path: root/kexi/kexiutils/update_transliteration_table_patch.sh
diff options
context:
space:
mode:
authortpearson <tpearson@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2010-01-20 01:29:50 +0000
committertpearson <tpearson@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2010-01-20 01:29:50 +0000
commit8362bf63dea22bbf6736609b0f49c152f975eb63 (patch)
tree0eea3928e39e50fae91d4e68b21b1e6cbae25604 /kexi/kexiutils/update_transliteration_table_patch.sh
downloadkoffice-8362bf63dea22bbf6736609b0f49c152f975eb63.tar.gz
koffice-8362bf63dea22bbf6736609b0f49c152f975eb63.zip
Added old abandoned KDE3 version of koffice
git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/koffice@1077364 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
Diffstat (limited to 'kexi/kexiutils/update_transliteration_table_patch.sh')
-rwxr-xr-xkexi/kexiutils/update_transliteration_table_patch.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/kexi/kexiutils/update_transliteration_table_patch.sh b/kexi/kexiutils/update_transliteration_table_patch.sh
new file mode 100755
index 00000000..e295d95f
--- /dev/null
+++ b/kexi/kexiutils/update_transliteration_table_patch.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+#
+# Copyright (C) 2007 Jaroslaw Staniek <[email protected]>
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; see the file COPYING. If not, write to
+# the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+
+#
+# Updates transliteration_table.h.patch file using the original
+# transliteration_table.h.bz2 file.
+#
+
+# 1. Create an original transliteration file by reversing changes
+
+bzcat transliteration_table.cpp.bz2 > transliteration_table.cpp.orig || exit 1
+patch -p0 -R transliteration_table.cpp.orig < transliteration_table.cpp.patch || exit 1
+
+# 2. Update transliteration_table.cpp.patch file
+
+diff -u transliteration_table.cpp.orig transliteration_table.cpp \
+ > transliteration_table.cpp.patch || exit 1
+